package net.pricefx.common.apibuilder.calculationflowaction;

import net.pricefx.common.apibuilder.Invocations;
import net.pricefx.common.apibuilder.Methods;

public class CalculationFlowActionResultToHelpFormatProcessor {

	protected Invocations<MethodInvocationRecord> invocations;
	protected Methods m;

	public CalculationFlowActionResultToHelpFormatProcessor(Invocations<MethodInvocationRecord> invocations) {
		this.invocations = invocations;
		this.m = new Methods();
	}

	public String process() {
		String helpText = "actionBuilder\n";
		
		for (MethodInvocationRecord r : invocations.get()) {
			int indentationLevel = r.fullName().split("\\.").length;
			for (int j = 0; j < indentationLevel -1; j ++) helpText += "\t";
			String methodName = r.fullName().substring(r.fullName().lastIndexOf("."));
			helpText += m.createMethodName(methodName, r.arguments());
			helpText += "\n";
		}
		
		return helpText;
	}

}
