package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;
import net.pricefx.common.api.PriceFxInterface;

public class DateRangeInputBuilder extends AbstractInputBuilder<DateRangeInputBuilder,String[]> {

    protected DateRangeInputBuilder(InputBuilderContext builderContext, String paramName) {
        super(builderContext, InputType.DATERANGEUSERENTRY, paramName);
    }

    public DateRangeInputBuilder setFrom(String from) {
        cp.addParameterConfigEntry(PriceFxInterface.FIELD_CONTEXTPARAM_CONFIG_FROM, from);
        return this;
    }

    public DateRangeInputBuilder setTo(String to) {
        cp.addParameterConfigEntry(PriceFxInterface.FIELD_CONTEXTPARAM_CONFIG_TO, to);
        return this;
    }

}
