package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;

public class DmFilterBuilder extends AbstractInputBuilder<DmFilterBuilder,String> {

    protected DmFilterBuilder(InputBuilderContext builderContext, String paramName, String fcTypedId, String field) {
        super(builderContext, InputType.DMDIMFILTER, paramName);
        cp.setURL(fcTypedId + "/" + field);
    }

    @Override
    protected Object _getInput() {
        return builderContext.getEngineContext().getParameter(cp.getName());
    }
}
