package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;

public class StringInputBuilder<VT> extends AbstractInputBuilder<StringInputBuilder,VT> {

    protected StringInputBuilder(InputBuilderContext builderContext, String paramName) {
        super(builderContext, InputType.STRINGUSERENTRY, paramName);
    }

    public StringInputBuilder setTextMask(String textMask) {
        cp.setValueOptions(new String[]{textMask});
        return this;
    }
}
