package net.pricefx.common.apibuilder.contract;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import net.pricefx.common.apibuilder.clicoll.LineItemHelper;


public class ContractHelper extends LineItemHelper {

	public ContractHelper(Map<String, Object> calculableLineItemCollection) {
		super(calculableLineItemCollection);
	}

	@SuppressWarnings("unchecked")
	public List<LineItem> findAllWithContractTermTypeUN(String contractTermTypeUN) {
		ArrayList<LineItem> is = new ArrayList<>();
		for (Entry<String, Object> e : idToLineItem.entrySet()) {
			Map<String, Object> lineItemMap = (Map<String, Object>) e.getValue();
			if (contractTermTypeUN.equals(lineItemMap.get("contractTermType"))) {
				is.add(lineItemFromMap(lineItemMap));
			}
		}
		return is;
	}
	
}
