package net.pricefx.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;


public abstract class PartitionedObject extends PersistedObject {

	public static final String FIELD_PARTITION = "partition";
	public static final String FIELD_PARTITIONID = "partition.id";

	
	private Partition partition;

	public PartitionedObject() {
	}

	public PartitionedObject(Partition partition) {
		this.partition = partition;
	}
	
	@JsonIgnore
	public Partition getPartition() {
		return partition;
	}

	@JsonIgnore
	public void setPartition(Partition p) {
		this.partition = p;
	}
}
