package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;

public class ConfiguratorInputBuilder<VT> extends AbstractInputBuilder<ConfiguratorInputBuilder,VT> {

    protected ConfiguratorInputBuilder(InputBuilderContext builderContext, String paramName, String formulaName, boolean inline) {
        super(builderContext, inline ? InputType.INLINECONFIGURATOR : InputType.CONFIGURATOR, paramName);
        cp.setURL(formulaName);
    }

    public ConfiguratorInputBuilder setDimensions(String width, String height) {
        cp.setValueOptions(new String[]{width,height});
        return this;
    }

}
