package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;
import net.pricefx.common.api.PriceFxInterface;

public class FilterBuilderInputBuilder extends AbstractInputBuilder<FilterBuilderInputBuilder,Object> {

    private final String typeCode;
    protected FilterBuilderInputBuilder(InputBuilderContext builderContext, String paramName, String typeCode) {
        super(builderContext, InputType.FILTERBUILDER, paramName);
        cp.setConfigParameter(PriceFxInterface.FIELD_CONTEXTPARAM_CONFIG_TYPECODE, typeCode);
        this.typeCode = typeCode;
    }

}
