package net.pricefx.server.util.metamodel;

import java.util.ArrayList;
import java.util.List;

import org.apache.metamodel.schema.AbstractSchema;
import org.apache.metamodel.schema.Table;


public abstract class Schema extends AbstractSchema {

	private static final long serialVersionUID = 1L;
	
	protected final List<Table> tables = new ArrayList<Table>();
	protected final String name;
	

	protected Schema(String name) {
		super();
		this.name = name;
	}

	@Override
	public List<org.apache.metamodel.schema.Table> getTables() {
	    return tables;
		//return new ArrayList<org.apache.metamodel.schema.Table>(tables);
	}

	@Override
	public String getName() {
		return name;
	}

	@Override
	public String getQuote() {
		return null;
	}
	
}
